package com.ruoyi.project.intact.service.impl;

import java.util.List;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.ruoyi.project.sems.domain.TApprove;
import com.ruoyi.project.sems.mapper.TApproveMapper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.project.intact.mapper.TIntactGjMapper;
import com.ruoyi.project.intact.domain.TIntactGj;
import com.ruoyi.project.intact.service.ITIntactGjService;

/**
 * 设备完整性管件台账Service业务层处理
 *
 * @author ruoyi
 * @date 2022-06-22
 */
@Service
public class TIntactGjServiceImpl extends ServiceImpl<TIntactGjMapper, TIntactGj> implements ITIntactGjService
{
    @Autowired
    private TIntactGjMapper tIntactGjMapper;

    /**
     * 查询设备完整性管件台账
     *
     * @param id 设备完整性管件台账ID
     * @return 设备完整性管件台账
     */
    @Override
    public TIntactGj selectTIntactGjById(Long id)
    {
        return tIntactGjMapper.selectTIntactGjById(id);
    }

    /**
     * 查询设备完整性管件台账列表
     *
     * @param tIntactGj 设备完整性管件台账
     * @return 设备完整性管件台账
     */
    @Override
    public List<TIntactGj> selectTIntactGjList(TIntactGj tIntactGj)
    {
        return tIntactGjMapper.selectTIntactGjList(tIntactGj);
    }

    /**
     * 新增设备完整性管件台账
     *
     * @param tIntactGj 设备完整性管件台账
     * @return 结果
     */
    @Override
    public int insertTIntactGj(TIntactGj tIntactGj)
    {
        return tIntactGjMapper.insertTIntactGj(tIntactGj);
    }

    /**
     * 修改设备完整性管件台账
     *
     * @param tIntactGj 设备完整性管件台账
     * @return 结果
     */
    @Override
    public int updateTIntactGj(TIntactGj tIntactGj)
    {
        return tIntactGjMapper.updateTIntactGj(tIntactGj);
    }

    /**
     * 批量删除设备完整性管件台账
     *
     * @param ids 需要删除的设备完整性管件台账ID
     * @return 结果
     */
    @Override
    public int deleteTIntactGjByIds(Long[] ids)
    {
        return tIntactGjMapper.deleteTIntactGjByIds(ids);
    }

    /**
     * 删除设备完整性管件台账信息
     *
     * @param id 设备完整性管件台账ID
     * @return 结果
     */
    @Override
    public int deleteTIntactGjById(Long id)
    {
        return tIntactGjMapper.deleteTIntactGjById(id);
    }
}
